SOAP-php写webservice时候出错:WSDL generation is not supported yet

SOAP-php写webservice时候出错:WSDL generation is not supported yet

瑾兮 发布于 2016-11-20 字数 577 浏览 1201 回复 1

如题目,服务端请求地址是:http://localhost/api/server/sync 时候可以正常使用,但是请求地址是:http://localhost/api/server/sync?wsdl 的时候就提示错误,具体内容如下:
<SOAP-ENV:Envelope>
<SOAP-ENV:Body>
<SOAP-ENV:Fault>
<faultcode>SOAP-ENV:Server</faultcode>
<faultstring>WSDL generation is not supported yet</faultstring>
</SOAP-ENV:Fault>
</SOAP-ENV:Body>
</SOAP-ENV:Envelope>

php版本是:5.2.9
并且php打开了soap等必须的扩展

请问这是怎么回事?如何解决

如果你对这篇文章有疑问,欢迎到本站 社区 发帖提问或使用手Q扫描下方二维码加群参与讨论,获取更多帮助。

扫码加入群聊

发布评论

需要 登录 才能够评论, 你可以免费 注册 一个本站的账号。

评论(1

灵芸 2017-04-21 1 楼

不是你的问题,是服务端没有定义wsdl,服务端是直接使用SoapServer发布出去的,没有指定wsdl,而是指定的uri,相当于namespace。用这种方式是不能跨语言访问服务的。